<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="4fa4f00e13b09c69" weblate-flags="read-only, safe-html, strict-same">
        <source>= `string`</source>
        <target state="translated">= `string`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9db38b8d76058d8b" weblate-flags="read-only, safe-html, strict-same">
        <source>Modifiable sequences of characters are represented using objects of type &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">Modifiable sequences of characters are represented using objects of type &lt;&lt;ref_string&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">15</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60ec6bc224d6bb01" weblate-flags="read-only, safe-html, strict-same">
        <source>The interface and functionality of &lt;&lt;ref_string&gt;&gt; is the same as {std_string} except that:</source>
        <target state="translated">The interface and functionality of &lt;&lt;ref_string&gt;&gt; is the same as {std_string} except that:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b0fc0301f18c1451" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt; is not a class template,</source>
        <target state="translated">&lt;&lt;ref_string&gt;&gt; is not a class template,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b28db44c6ed70ce4" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt; uses `char` as its character type,</source>
        <target state="translated">&lt;&lt;ref_string&gt;&gt; uses `char` as its character type,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b9ad8e42b63582b1" weblate-flags="read-only, safe-html, strict-same">
        <source>redundant overloads for string operations have been replaced</source>
        <target state="translated">redundant overloads for string operations have been replaced</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6d4bfc1a1a073e97" weblate-flags="read-only, safe-html, strict-same">
        <source>with a &lt;&lt;ref_string_view&gt;&gt;-based interface,</source>
        <target state="translated">with a &lt;&lt;ref_string_view&gt;&gt;-based interface,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">24</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="99643f138ae94789" weblate-flags="read-only, safe-html, strict-same">
        <source>access to characters in the range `[size(), capacity())` is permitted,</source>
        <target state="translated">access to characters in the range `[size(), capacity())` is permitted,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="65641ea1b3cc2a44" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_storage_ptr&gt;&gt; is used instead of {req_Allocator}, and</source>
        <target state="translated">&lt;&lt;ref_storage_ptr&gt;&gt; is used instead of {req_Allocator}, and</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">26</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a67181b9b5b28721" weblate-flags="read-only, safe-html, strict-same">
        <source>small buffer optimisation is guaranteed, which avoids allocating memory for</source>
        <target state="translated">small buffer optimisation is guaranteed, which avoids allocating memory for</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0eda0e13d92c559a" weblate-flags="read-only, safe-html, strict-same">
        <source>small strings.</source>
        <target state="translated">small strings.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">28</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3b19c1e5acd8f33c" weblate-flags="read-only, safe-html, strict-same">
        <source>With augmented interface, operations requiring an input string are implemented as a single overload with a parameter of type &lt;&lt;ref_string_view&gt;&gt;, and can accept most string-like objects. Objects such as null terminated character pointers, `std::string`, &lt;&lt;ref_string&gt;&gt;, subranges of strings, and objects convertible to &lt;&lt;ref_string_view&gt;&gt; can all be passed to these functions.</source>
        <target state="translated">With augmented interface, operations requiring an input string are implemented as a single overload with a parameter of type &lt;&lt;ref_string_view&gt;&gt;, and can accept most string-like objects. Objects such as null terminated character pointers, `std::string`, &lt;&lt;ref_string&gt;&gt;, subranges of strings, and objects convertible to &lt;&lt;ref_string_view&gt;&gt; can all be passed to these functions.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">30</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1aa4d0e637eff5f2" weblate-flags="read-only, safe-html, strict-same">
        <source>More formally, `std::string` member function overloads that accept any of the following parameter combinations as an input string:</source>
        <target state="translated">More formally, `std::string` member function overloads that accept any of the following parameter combinations as an input string:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">41</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1aabdee3df68abbd" weblate-flags="read-only, safe-html, strict-same">
        <source>a `std::string` parameter, or</source>
        <target state="translated">a `std::string` parameter, or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">44</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c5bc492e1b26dc58" weblate-flags="read-only, safe-html, strict-same">
        <source>a `std::string` parameter and two `size_type` parameters that specify a</source>
        <target state="translated">a `std::string` parameter and two `size_type` parameters that specify a</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">45</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4fd7e083eeab64dc" weblate-flags="read-only, safe-html, strict-same">
        <source>substring, or</source>
        <target state="translated">substring, or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">46</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4db8e6ab44aeccce" weblate-flags="read-only, safe-html, strict-same">
        <source>a parameter of a type convertible to &lt;&lt;ref_string_view&gt;&gt;, or</source>
        <target state="translated">a parameter of a type convertible to &lt;&lt;ref_string_view&gt;&gt;, or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">47</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="af60bd2402a162ef" weblate-flags="read-only, safe-html, strict-same">
        <source>a parameter of a type convertible to &lt;&lt;ref_string_view&gt;&gt; and two</source>
        <target state="translated">a parameter of a type convertible to &lt;&lt;ref_string_view&gt;&gt; and two</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">48</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7a56a7a60f1eabc3" weblate-flags="read-only, safe-html, strict-same">
        <source>`size_type` parameters that specify a substring, or</source>
        <target state="translated">`size_type` parameters that specify a substring, or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">49</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="916068fd3d3e3dea" weblate-flags="read-only, safe-html, strict-same">
        <source>a `const_pointer` parameter, or</source>
        <target state="translated">a `const_pointer` parameter, or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">50</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="937e7a17352e022e" weblate-flags="read-only, safe-html, strict-same">
        <source>a parameter of type `const_pointer` and a `size_type` parameter that</source>
        <target state="translated">a parameter of type `const_pointer` and a `size_type` parameter that</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">51</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6ad06d961ccfd671" weblate-flags="read-only, safe-html, strict-same">
        <source>specifies the length of the string</source>
        <target state="translated">specifies the length of the string</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8966c269c51ef06c" weblate-flags="read-only, safe-html, strict-same">
        <source>are replaced with an overload accepting a &lt;&lt;ref_string_view&gt;&gt; parameter.</source>
        <target state="translated">are replaced with an overload accepting a &lt;&lt;ref_string_view&gt;&gt; parameter.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">54</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b24c803ff61b5865" weblate-flags="read-only, safe-html, strict-same">
        <source>This design removes several redundant overloads from the interface. For example, the 11 overloads of `std::string::insert` are reduced to just 3 in &lt;&lt;ref_string&gt;&gt;, while still providing identical functionality. In addition to these changes, overloads taking a `std::initializer_list&lt;char&gt;` parameter have been removed. Such overloads have little use, as they serve as little more than wrappers for arrays with an inefficient syntax:</source>
        <target state="translated">This design removes several redundant overloads from the interface. For example, the 11 overloads of `std::string::insert` are reduced to just 3 in &lt;&lt;ref_string&gt;&gt;, while still providing identical functionality. In addition to these changes, overloads taking a `std::initializer_list&lt;char&gt;` parameter have been removed. Such overloads have little use, as they serve as little more than wrappers for arrays with an inefficient syntax:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">56</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="64fbd546acfd2160" weblate-flags="read-only, safe-html, strict-same">
        <source>With the removal of overloads that specify parameters for a substring, a member function `subview` that returns a &lt;&lt;ref_string_view&gt;&gt; is provided to facilitate cheap substring operations:</source>
        <target state="translated">With the removal of overloads that specify parameters for a substring, a member function `subview` that returns a &lt;&lt;ref_string_view&gt;&gt; is provided to facilitate cheap substring operations:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71dc20a42473baa4" weblate-flags="read-only, safe-html, strict-same">
        <source>A &lt;&lt;ref_string&gt;&gt; may be constructed using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt; without incurring any memory allocations. Alternatively, a &lt;&lt;ref_storage_ptr&gt;&gt; can be provided explicitly:</source>
        <target state="translated">A &lt;&lt;ref_string&gt;&gt; may be constructed using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt; without incurring any memory allocations. Alternatively, a &lt;&lt;ref_storage_ptr&gt;&gt; can be provided explicitly:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">77</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="059c92545c3dacd3" weblate-flags="read-only, safe-html, strict-same">
        <source>Formatted Output</source>
        <target state="translated">Formatted Output</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">86</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b7b5ac063b28973" weblate-flags="read-only, safe-html, strict-same">
        <source>When a &lt;&lt;ref_string&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the result will be double quoted and the contents properly escaped per the JSON specification.</source>
        <target state="translated">When a &lt;&lt;ref_string&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the result will be double quoted and the contents properly escaped per the JSON specification.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">88</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="db6fe1169d749fad" weblate-flags="read-only, safe-html, strict-same">
        <source>Accessing Storage Beyond `size()`</source>
        <target state="translated">Accessing Storage Beyond `size()`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">92</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="01a492e6a0055434" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt; directly supports access to its storage in the range `[size(), capacity())`. This can be used for efficient assembly of a string from several parts. After the string is assembled, use the member function &lt;&lt;ref_string_grow&gt;&gt; to update the string's size and insert the null terminator. For example:</source>
        <target state="translated">&lt;&lt;ref_string&gt;&gt; directly supports access to its storage in the range `[size(), capacity())`. This can be used for efficient assembly of a string from several parts. After the string is assembled, use the member function &lt;&lt;ref_string_grow&gt;&gt; to update the string's size and insert the null terminator. For example:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">94</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
